//
//  DataViewController.m
//  MeetUpDemo
//
//  Created by Damodar Shenoy on 25/02/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "DataViewController.h"

@interface DataViewController ()

@end

@implementation DataViewController

@synthesize dataObject = _dataObject;
@synthesize remarkLabel = _remarkLabel;

- (void)dealloc
{
	[_dataObject release];
	[_remarkLabel release];
    [super dealloc];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
	[self setRemarkLabel:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (IBAction)tapped:(id)sender 
{	

	CGRect r = self.remarkLabel.frame;
	r.origin.x = 20.0f;
	r.size.width =  0.0f;
	r.size.height = 21.0f;
	self.remarkLabel.frame = r;

	self.remarkLabel.alpha = 1.0f;
	
	self.remarkLabel.text = [NSString stringWithFormat:@"This is the month of %@",[self.dataObject description]];
	
	[UIView beginAnimations:@"show remark" context:NULL];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseIn];
	[UIView setAnimationDuration:1.0f];
	[UIView setAnimationDelegate:self];
	
	r.size.width = 280.0f;
	self.remarkLabel.frame = r;
	
	[UIView commitAnimations];

}

- (void)animationDidStop:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context
{
	if([animationID isEqualToString:@"show remark"])
	{
		[UIView beginAnimations:@"hide remark" context:NULL];
		[UIView setAnimationCurve:UIViewAnimationCurveEaseIn];
		[UIView setAnimationDuration:5.0f];

		self.remarkLabel.alpha = 0.0f;

		[UIView commitAnimations];

	}
}


@end
